function draw_timeline() {
    var data_url = "data.json";
    var series = [];

    var options = {
        "xaxis": {"mode": "time"},
        "selection": {"mode": "x"},
        "legend": {"position": "nw"}};
    var plot = $.plot($("#placeholder"), series, options);

    var overview_options = {
        series: {
            lines: { show: true, lineWidth: 1 },
            shadowSize: 0
        },
        xaxis: { ticks: [], mode: "time" },
        yaxis: { ticks: [], min: 0, autoscaleMargin: 0.1 },
        selection: { mode: "x" },
        legend: {show: false}
    }
    var overview = $.plot($("#overview"), series, overview_options);

    $("#placeholder").bind("plotselected", function (event, ranges) {
        // do the zooming
        plot = $.plot($("#placeholder"), series,
                      $.extend(true, {}, options, {
                          xaxis: { min: ranges.xaxis.from, max: ranges.xaxis.to }
                      }));

        // don't fire event on the overview to prevent eternal loop
        overview.setSelection(ranges, true);
    });

    $("#overview").bind("plotselected", function (event, ranges) {
        plot.setSelection(ranges);
    });

    function onDataReceived(json_data) {
        for (var i=0; i<json_data["data"].length; i++) {
            series.push(
                {"label": json_data["headers"][i],
                 "data": json_data["data"][i]});
        }

        $.plot($("#placeholder"), series, options);
        $.plot($("#overview"), series, overview_options);
    }

    $.ajax({
        url: data_url,
        method: 'GET',
        dataType: 'json',
        success: onDataReceived
    });
}
