#!/usr/bin/env python

"""Distutils installer for everyday."""

from distutils.core import setup

import everyday

version = '.'.join(str(component) for component in everyday.__version__[0:3])
phase = everyday.__version__[3]


if phase != 'final':
    import bzrlib.workingtree
    t = bzrlib.workingtree.WorkingTree.open_containing(__file__)[0]
    if phase == 'alpha':
        # No idea what the next version will be
        version = 'next-%s' % t.branch.revno()
    else:
        # Preserve the version number but give it a revno prefix
        version = version + '~%s' % t.branch.revno()

setup(
    name='everyday',
    author='Jonathan M. Lange',
    author_email='jml+everyday@mumak.net',
    url='https://launchpad.net/everyday',
    description=('Simple tools for graphing progress. Includes flot.'),
    version=version,
    scripts=['bin/csv2flot', 'bin/csv2json'],
    packages=['everyday'],
    package_data={
        'everyday': ['html/flot/*.min.js',
                     'html/split-template/*.html',
                     'html/split-template/*.js',
                     'html/split-template/*.css',
                     'html/combined-template.html']},
    )
